%define upstream_name 	 XML-Simple
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Easy API to maintain XML (esp config files)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::NamespaceSupport) >= 1.40.0
BuildRequires: perl(XML::SAX) >= 0.150.0
BuildRequires: perl(XML::SAX::Expat)
BuildArch:  noarch

%description
XML::Simple is a trivial perl API to manipulate XML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.200.0-2.mga3
+ Revision: 375182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 2.200.0-1.mga3
+ Revision: 268068
- update to 2.20

* Fri Jan 21 2011 jquelin <jquelin> 2.180.0-3.mga1
+ Revision: 29315
- rebuild
- mageia rebuild

* Sat Jan 15 2011 blino <blino> 2.180.0-2.mga1
+ Revision: 19197
- remove old buildrequires

  + jquelin <jquelin>
    - imported package perl-XML-Simple

